MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000183XdebugUsage problems (Wrong Results)public2006-05-10 11:372006-05-27 22:12
ReporterTindu 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000183: property_get on $this->undefinedvariable
Descriptionproperty_get -n $this->somethingnonexistent crashes the debugger. In source code:

retval = fetch_zval_from_symbol_table(st, keyword, keyword_end - keyword, type, current_classname, cc_length TSRMLS_CC);
current_classname = fetch_classname_from_zval(retval, &cc_length TSRMLS_CC);
if (retval) {
        st = fetch_ht_from_zval(retval TSRMLS_CC);
}
keyword = NULL;

As retval may be nill then fetch_class_name crashes.
If this issue is fixed then for some weird reason
    res = zend_eval_string(eval_string, ret_zval, "xdebug eval" TSRMLS_CC); crashes in _xdebug_do_eval.
Additional InformationThis issue was reported first in general list and was kind of fixed (string "$this-" crashed the property_get)
TagsNo tags attached.
Operating SystemWIN XP
PHP Version5.1.2
Attached Files

- Relationships

-  Notes
(0000406)
derick (administrator)
2006-05-10 11:42

The code in CVS is:
                            if (keyword) {
                                retval = fetch_zval_from_symbol_table(st, keyword, keyword_end - keyword, type, current_classname, cc_length T if (retval) {
                                    if (current_classname) {
                                        efree(current_classname);
                                    }
                                    current_classname = fetch_classname_from_zval(retval, &cc_length TSRMLS_CC);
                                    st = fetch_ht_from_zval(retval TSRMLS_CC);
                                }
                                keyword = NULL;
                            }

as you can see I only fetch the classname when retval is not NULL.

So please try latest CVS, or the windows binary from http://pecl4win.php.net/ext.php/php_xdebug.dll [^]
(0000415)
derick (administrator)
2006-05-27 22:12

This should be fixed in CVS by now.

- Issue History
Date Modified Username Field Change
2006-05-10 11:37 Tindu New Issue
2006-05-10 11:42 derick Note Added: 0000406
2006-05-27 22:12 derick Status new => closed
2006-05-27 22:12 derick Note Added: 0000415
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker